> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Knowledge



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/agents/{agent_id}/knowledge/{document_id}
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/agents/{agent_id}/knowledge/{document_id}:
    delete:
      tags:
        - Agents
      summary: Remove Knowledge
      operationId: apps_agents_api_remove_knowledge
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Agent Id
            type: string
        - in: path
          name: document_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Document Id
            type: string
      responses:
        '204':
          description: No Content
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.